Page MenuHomePhabricator

[SPIKE,1 hr] Was DOMComplete intentionally increased?
Closed, ResolvedPublic

Description

It seems like a change we did between the 2->3rd September increased the domComplete time on mobile (domInteractive looks ok that's good):

https://grafana.wikimedia.org/dashboard/db/navigation-timing-by-platform

When I check WebPageTest it seems we load 5 more images by default for Barack Obama:

You can check before and after here in WebPageTest.

It also looks like the SpeedIndex got higher:

The changes in the server log that has something to do with mobile (the first one looks suspicious):

00:02 logmsgbot: dereckson@tin Synchronized php-1.28.0-wmf.17/extensions/MobileFrontend/resources/mobile.startup/Skin.js: Ensure lazy image placeholders without height can be loaded (T143768) (duration: 00m 46s)
00:13 logmsgbot: dereckson@tin Synchronized wmf-config/InitialiseSettings.php: End lazy loading reference experiments (T144240) (duration: 00m 47s)

@Jdlrobson do you know if this is intentional?

Event Timeline

Peter created this task.Sep 5 2016, 1:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2016, 1:09 PM
phuedx renamed this task from DOMComplete increased on mobile to [SPIKE] Was DOMComplete intentionally increased?.Sep 5 2016, 5:19 PM

Change 308909 had a related patch set uploaded (by Jdlrobson):
Improve handling of images without dimensions

https://gerrit.wikimedia.org/r/308909

It seems they have no height so this is sort of expected but the wrong behaviour:

$('.lazy-image-placeholder' ).eq(12).height()
$('.lazy-image-placeholder' ).eq(12).is( ':visible' )

My patch addresses this without breaking the Maths images this patch originally aimed to address.

phuedx assigned this task to Jdlrobson.Sep 7 2016, 5:30 AM
phuedx added a subscriber: phuedx.

@Jdlrobson: -1 for your attention.

@ovasileva
Priority? It's a spike so it needs a timebox, too.

Replied on ticket @phuedx

ovasileva triaged this task as High priority.Sep 7 2016, 6:23 PM

@MBinder_WMF - priority added

Change 309409 had a related patch set uploaded (by Jdlrobson):
Copy height and width attributes from style to lazy placeholder

https://gerrit.wikimedia.org/r/309409

FYI Jenkins failures are due to T145144

phuedx added a comment.Sep 9 2016, 9:11 AM

@ovasileva
Priority? It's a spike so it needs a timebox, too.

/cc @Jdlrobson

Priority was added. @Jdlrobson - could you provide a timebox? I'll ping the chat once everyone's awake to confirm.

Jdlrobson renamed this task from [SPIKE] Was DOMComplete intentionally increased? to [SPIKE,1 hr] Was DOMComplete intentionally increased?.Sep 9 2016, 5:48 PM
Jdlrobson closed this task as Resolved.Sep 9 2016, 5:51 PM

Since this is a spike, I'm resolving it with the answer to the original question "@Jdlrobson do you know if this is intentional?"

The answer is no. I've raised T145222 to get this fixed. Thanks for flagging @Peter .

Change 308909 abandoned by Phuedx:
Improve handling of images with style derived dimensions

Reason:
Superseded by If2b81135.

https://gerrit.wikimedia.org/r/308909

This comment was removed by phuedx.